FENCE_AGENT(8)

NAME
fence_virt - Fence agent for virtual machines

DESCRIPTION

fence_virt is a Power Fencing agent which can be used with virtual machines.

NOTE: reboot-action does not power on nodes that are powered off.

The fence agent accepts options on the command line as well as from stdin. Fenced sends parameters through stdin when it execs the agent. The agent can be run by itself with command line options. This is useful for testing and for turning outlets on or off from scripts.

Vendor URL: https://libvirt.org

PARAMETERS

-d  Specify (stdin) or increment (command line) debug level

-D  Serial device (default=/dev/ttyS1) (Default Value: /dev/ttyS1)

-P  Serial Parameters (default=115200,8N1) (Default Value: 115200,8N1)

-A  VM Channel IP address (default=10.0.2.179) (Default Value: 10.0.2.179)

-p  TCP, Multicast, VMChannel, or VM socket port (default=1229) (Default Value: 1229)

-n  Virtual Machine (domain name) to fence This parameter is always required.

-o  Fencing action (null, off, on, [reboot], status, list, list-status, monitor, validate-all, metadata) (Default Value: reboot)

-t  Fencing timeout (in seconds; default=30) (Default Value: 30)

-T  IP address to connect to in TCP mode (default=127.0.0.1 / ::1) (Default Value: 127.0.0.1)

-S  vm socket CID to connect to in vsock mode (Default Value: 2)

-C  Authentication (none, sha1, [sha256], sha512) (Default Value: sha256)

-c  Packet hash strength (none, sha1, [sha256], sha512) (Default Value: sha256)

-k  Shared key file (default=/etc/cluster/fence_xvm.key) (Default Value: /etc/cluster/fence_xvm.key)

-w  Fencing delay (in seconds; default=0) (Default Value: 0)

ACTIONS

null
     The operational behavior of this is not known.

on  Power on machine.

off Power off machine.

reboot
    Reboot machine.

metadata
    Display the XML metadata describing this resource.

status
    This returns the status of the plug/virtual machine.

monitor
    Check the health of fence device

list
    List available plugs with aliases/virtual machines if there is support for more then one device. Returns N/A otherwise.

list-status
    List available plugs with aliases/virtual machines and their power state if it can be obtained without additional commands.

validate-all
    Validate if all required parameters are entered.

STDIN PARAMETERS

debug
    Specify (stdin) or increment (command line) debug level

serial_device
    Serial device (default=/dev/ttyS1) (Default Value: /dev/ttyS1)

serial_params
    Serial Parameters (default=115200,8N1) (Default Value: 115200,8N1)

channel_address
    VM Channel IP address (default=10.0.2.179) (Default Value: 10.0.2.179)

ipport
    TCP, Multicast, VMChannel, or VM socket port (default=1229) (Default Value: 1229)

plug
    Virtual Machine (domain name) to fence This parameter is always required. Obsoletes: port

action
    Fencing action (null, off, on, [reboot], status, list, list-status, monitor, validate-all, metadata) (Default Value: reboot)

timeout
    Fencing timeout (in seconds; default=30) (Default Value: 30)

ipaddr
    IP address to connect to in TCP mode (default=127.0.0.1 / ::1) (Default Value: 127.0.0.1)

vsock
    vm socket CID to connect to in vsock mode (Default Value: 2)

auth
    Authentication (none, sha1, [sha256], sha512) (Default Value: sha256)

hash
    Packet hash strength (none, sha1, [sha256], sha512) (Default Value: sha256)

key_file
    Shared key file (default=/etc/cluster/fence_xvm.key) (Default Value: /etc/cluster/fence_xvm.key)

delay
    Fencing delay (in seconds; default=0) (Default Value: 0)